From: Tim Cross <[email-masked]>
Date: Fri, 19 Jul 2019 21:01:04 +1000

I have also been having very similar problems with the same error messages.
Using Emacs 26.2 on GNU Linux (Ubuntu 19.04). Attempting to install the
delight package. Exact same error with emacs -Q. Same configuration is
working fine under macOS, so seems to be GNU Linux specific. Changing to
use HTTP instead of HTTPS fixes the problem. Note however that HTTPS to the
melpa repository works fine. Note also that this setup has been working
fine for ages. Last fresh install was only a couple of weeks back.

-- 
regards,

Tim

--
Tim Cross